Module javafx.base
Package javafx.beans.property

# Class ReadOnlyObjectWrapper<T>

java.lang.Object
javafx.beans.binding.ObjectExpression<T>
javafx.beans.property.ReadOnlyObjectProperty<T>
javafx.beans.property.ObjectProperty<T>
javafx.beans.property.ObjectPropertyBase<T>
javafx.beans.property.SimpleObjectProperty<T>
javafx.beans.property.ReadOnlyObjectWrapper<T>

All Implemented Interfaces:
  `Observable`, `Property<T>`, `ReadOnlyProperty<T>`, `ObservableObjectValue<T>`, `ObservableValue<T>`, `WritableObjectValue<T>`, `WritableValue<T>`

public class ReadOnlyObjectWrapper<T> extends SimpleObjectProperty<T>
This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.

Since:
  JavaFX 2.0

## Constructor Summary

Constructors
Constructor
Description
`ReadOnlyObjectWrapper()`
The constructor of `ReadOnlyObjectWrapper`
`ReadOnlyObjectWrapper(Object bean, String name)`
The constructor of `ReadOnlyObjectWrapper`
`ReadOnlyObjectWrapper(Object bean, String name, T initialValue)`
The constructor of `ReadOnlyObjectWrapper`
`ReadOnlyObjectWrapper(T initialValue)`
The constructor of `ReadOnlyObjectWrapper`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`fireValueChangedEvent()`
Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`.
`ReadOnlyObjectProperty<T>`
`getReadOnlyProperty()`
Returns the readonly property, that is synchronized with this `ReadOnlyObjectWrapper`.

### Methods inherited from class javafx.beans.property.SimpleObjectProperty

`getBean, getName`

### Methods inherited from class javafx.beans.property.ObjectPropertyBase

`addListener, addListener, bind, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

### Methods inherited from class javafx.beans.property.ObjectProperty

`bindBidirectional, setValue, unbindBidirectional`

### Methods inherited from class javafx.beans.binding.ObjectExpression

`asString, asString, asString, getValue, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotNull, isNull, objectExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javafx.beans.value.ObservableValue

`getValue`

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue`

## Constructor Details

### ReadOnlyObjectWrapper

public ReadOnlyObjectWrapper()
The constructor of `ReadOnlyObjectWrapper`

### ReadOnlyObjectWrapper

public ReadOnlyObjectWrapper(T initialValue)
The constructor of `ReadOnlyObjectWrapper`

Parameters:
  `initialValue` - the initial value of the wrapped value

### ReadOnlyObjectWrapper

public ReadOnlyObjectWrapper(Object bean, String name)
The constructor of `ReadOnlyObjectWrapper`

Parameters:
  `bean` - the bean of this `ReadOnlyObjectProperty`
  `name` - the name of this `ReadOnlyObjectProperty`

### ReadOnlyObjectWrapper

public ReadOnlyObjectWrapper(Object bean, String name, T initialValue)
The constructor of `ReadOnlyObjectWrapper`

Parameters:
  `bean` - the bean of this `ReadOnlyObjectProperty`
  `name` - the name of this `ReadOnlyObjectProperty`
  `initialValue` - the initial value of the wrapped value

## Method Details

### getReadOnlyProperty

public ReadOnlyObjectProperty<T> getReadOnlyProperty()
Returns the readonly property, that is synchronized with this `ReadOnlyObjectWrapper`.

Returns:
  the readonly property

### fireValueChangedEvent

protected void fireValueChangedEvent()
Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`. This method is called when the value is changed, either manually by calling `ObjectPropertyBase.set(T)` or in case of a bound property, if the binding becomes invalid.

Overrides:
  `fireValueChangedEvent` in class `ObjectPropertyBase<T>`